Package: lightspark / 0.7.2-6

Metadata

Package Version Patches format
lightspark 0.7.2-6 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
fix for llvm33.patch | (download)

src/scripting/abc.cpp | 14 3 + 11 - 0 !
src/scripting/abc_codesynt.cpp | 24 6 + 18 - 0 !
2 files changed, 9 insertions(+), 29 deletions(-)

 make lightspark build under llvm3.3
fix for llvm34.patch | (download)

CMakeLists.txt | 3 3 + 0 - 0 !
src/scripting/abc.cpp | 2 2 + 0 - 0 !
2 files changed, 5 insertions(+)

 [patch] * fix building with llvm 3.4


fix for llvm35.patch | (download)

src/CMakeLists.txt | 2 1 + 1 - 0 !
src/scripting/abc.cpp | 4 2 + 2 - 0 !
2 files changed, 3 insertions(+), 3 deletions(-)

 make lightspark build under llvm3.5
 .
 Also add -lpthread and -ltinfo somehow missing.
libav10.patch | (download)

CMakeLists.txt | 16 14 + 2 - 0 !
conf/FindFFMpeg.cmake | 6 5 + 1 - 0 !
src/backends/decoder.cpp | 89 68 + 21 - 0 !
src/backends/decoder.h | 12 12 + 0 - 0 !
4 files changed, 99 insertions(+), 24 deletions(-)

 fix ftbfs against libav10
Bug-Debian: http://bugs.debian.org/739328

Most changes in this patch have been manually cherry-picked from upstream.
The only missing change are the CODEC_ID -> AV_CODEC_ID renames

Applied upstream git commits:

* 9b20db3 fix compilation without HAVE_AVCODEC_DECODE_AUDIO4
* e01bb75 Fix audio decoding when using avcodec_decode_audio2
* e957947 Fix compilation when libavresample is not installed (Ubuntu) or AVCodecID is defined (new libavcodec)
* 4d2d927 Add an include file (needed on Debian unstable)
* fff7e63 fix compilation with ffmpeg 2.0 avcodec_decode_audio4 seems not to deliver data in AV_SAMPLE_FMT_S16 format, so we have to use libavresample for resampling